9 jun. 2008

Rutina para medir el ángulo entre dos rectas, sean líneas o polilíneas:


;| rutina "ang_entre_pl" sirve para medir
el angulo existente entre dos lineas
o polilineas rectas indicandolas.
****************************************
(c)by Prexem - Victor Adolfo Bracamonte*
WWW.Prexem.BlogSpot.Com
****************************************|;
(defun c:ang_entre_pl (/ pl1 vpl1 in1 fin1 ang1 pl2 vpl2
in2 fin2 ang2 angmax angmin
ang_entr ang_grad)
(vl-load-com)
(setq pl1(car(entsel "\nseleccione polilinea recta 1:"))
vpl1 (vlax-ename->vla-object pl1)
in1 (vlax-curve-getstartpoint vpl1)
fin1 (vlax-curve-getendpoint vpl1)
ang1 (angle in1 fin1)
pl2(car(entsel "\nseleccione polilinea recta 2:"))
vpl2 (vlax-ename->vla-object pl2)
in2 (vlax-curve-getstartpoint vpl2)
fin2 (vlax-curve-getendpoint vpl2)
ang2 (angle in2 fin2)
angmax (max ang1 ang2)
angmin (min ang1 ang2)
ang_entr (- angmax angmin)
ang_grad(* (/ ang_entr (* 2 PI)) 360)
);setq
(princ "\nAngulo entre lineas: ")(princ ang_grad)
(princ)
);defun

1 comentario:

altair dijo...

Como esta, me gustaria que me oriente sobre acotar angulos mayores de 180 grados, y es que hay poligonales que no necesariamente sus angulos internos son menores a 180º. Grasias